package com.happy.dao;

import com.happy.Model.HouseNumberStatus;
import com.happy.dto.HouseNumberStatusDto;

import java.util.List;

public interface HouseNumberStatusDao {
    int saveBatch(List<HouseNumberStatus> list);

    List<HouseNumberStatusDto> queryList(HouseNumberStatusDto houseNumberStatusDto);

    void updateStatus(HouseNumberStatusDto houseNumberStatusDto);

    /**
     * 通过订单id集合查询订单表的一些信息集合
     */
    List<HouseNumberStatusDto> queryOrderSomeColumnListByIds(List<String> ids);
}
